Skip to main content
GET
/
transfers
List transfers
curl --request GET \
  --url https://api.prequel.co/transfers \
  --header 'X-API-KEY: <api-key>'
{
  "status": "<string>",
  "data": {
    "transfers": [
      {
        "id": "<string>",
        "is_full_refresh": true,
        "models": [
          "<string>"
        ],
        "log": "<string>",
        "submitted_at": "2023-11-07T05:31:56Z",
        "start_transfer_window_at": "2023-11-07T05:31:56Z",
        "end_transfer_window_at": "2023-11-07T05:31:56Z",
        "rows_transferred": 123,
        "delta_rows_transferred": 123,
        "volume_transferred_in_mb": 123,
        "actor_id": "<string>",
        "source_ids": [
          "<string>"
        ],
        "destination_id": "<string>",
        "model_metrics": [
          {
            "model_id": "<string>",
            "rows_transferred": 123,
            "delta_rows_transferred": 123,
            "volume_transferred_in_mb": 123,
            "start_transfer_window_at": "2023-11-07T05:31:56Z",
            "end_transfer_window_at": "2023-11-07T05:31:56Z",
            "most_recent_last_updated_at": "2023-11-07T05:31:56Z",
            "error": {
              "error": "<unknown>",
              "error_code": "<string>",
              "title": "<string>",
              "blame": "<string>",
              "documentation_url": "<string>",
              "trace": "<string>",
              "message": "<string>"
            },
            "model_name": "<string>"
          }
        ],
        "started_at": "2023-11-07T05:31:56Z",
        "ended_at": "2023-11-07T05:31:56Z",
        "tags": {}
      }
    ]
  },
  "message": "<string>",
  "has_next": true,
  "next_url": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

destination_id
string

If specified, returns only transfers that were made to the given destination.

status
string

Status of the transfer.

include_tags
string

Filter transfers by comma-separated key.value pairs.

ended_before
string

Filter transfers with ended_at less than (exclusive) this RFC3339 timestamp.

ended_after
string

Filter transfers with ended_at greater than or equal to (inclusive) this RFC3339 timestamp.

page_size
integer

Number of items to return per page.

order
enum<string>

Sort order for items

Available options:
asc,
desc
cursor
string

Used for pagination - represents last page seen. Value is included in response when there is a next page.

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required
has_next
boolean
required

Whether there are more items beyond this page.

next_url
string

Full URL to fetch the next page. Only present when has_next is true.